v1-platform
Continuous Due Questions
Continuous Due Questions
curl --request POST \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/continuous-evaluation/due-questions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger": {
"event": "<string>",
"login_session_id": "<string>",
"page": "<string>"
},
"now": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/continuous-evaluation/due-questions"
payload = {
"program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger": {
"event": "<string>",
"login_session_id": "<string>",
"page": "<string>"
},
"now": "2023-11-07T05:31:56Z"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
program_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subject_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
trigger: {event: '<string>', login_session_id: '<string>', page: '<string>'},
now: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/continuous-evaluation/due-questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delivered_at": "2023-11-07T05:31:56Z",
"items": [
{
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>",
"scores": {}
}
],
"prompt": "<string>",
"section_id": "<string>",
"purpose": [
"<string>"
],
"remarks": "<string>",
"required": false,
"schedule": {
"trigger": {
"event": "<string>",
"page": "<string>"
},
"max_per_login": 123,
"repeat_until_answered": false
},
"visible_if": {
"op": "lit",
"value": 123
}
}
}
]
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Headers
Required string length:
1 - 255Path Parameters
Body
application/json
⌘I
Continuous Due Questions
